Subject: Re: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Mar 2016 09:29:26 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: Kaushal Modi <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sat, 12 Mar 2016 00:37:41 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Which I think is wrong, since the default mode shouldn't show anything
> > except "I-search: ".  Right?
> 
> I'm not so sure.  I use different defaults in different modes for
> convenience (symbol search in programming modes, word search in Info,
> literal search in the rest), and I would soon get confused if the
> default mode would not be indicated, especially if I change to a
> different mode and back again etc.

Fair enough, but the code clearly wants to produce the behavior I
hinted at.